#include <iostream>
#include <iomanip>

using namespace std;

int main() {
    cout<<setprecision(4);
	cout<<fixed<<showpoint;
    int N, max;
    cin>>N;
    int A[N];
    double P[N], sum[N];
    for(int i = 0; i < N; i++) cin>>A[i]>>P[i];
    for(int i = 0; i < N; i++) sum[i] = 0;
    for(int i = 0; i < N; i++) for(int j = 0; j < N; j++) if(P[j] >= P[i]) sum[i] += A[j] * (P[i] / 100);
    max = 0;
    for(int i = 0; i < N; i++) if(sum[i] > sum[max]) max = i;
    cout<<sum[max];
}